Merge remote-tracking branch 'origin/6.1'
[scilab.git] / scilab / modules / special_functions / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 # Copyright (C) 2011 - DIGITEO - Allan CORNET
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # Copyright (C) 2012 - 2016 - Scilab Enterprises
28 #
29 # This file is hereby licensed under the terms of the GNU GPL v2.0,
30 # pursuant to article 5.3.4 of the CeCILL v.2.1.
31 # This file was originally licensed under the terms of the CeCILL v2.1,
32 # and continues to be available under such terms.
33 # For more information, see the COPYING file which you should have received
34 # along with this program.
35 #
36
37 ##########
38 ### Makefile included stuff
39 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
40 ##########
41
42
43 VPATH = @srcdir@
44 am__is_gnu_make = { \
45   if test -z '$(MAKELEVEL)'; then \
46     false; \
47   elif test -n '$(MAKE_HOST)'; then \
48     true; \
49   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
50     true; \
51   else \
52     false; \
53   fi; \
54 }
55 am__make_running_with_option = \
56   case $${target_option-} in \
57       ?) ;; \
58       *) echo "am__make_running_with_option: internal error: invalid" \
59               "target option '$${target_option-}' specified" >&2; \
60          exit 1;; \
61   esac; \
62   has_opt=no; \
63   sane_makeflags=$$MAKEFLAGS; \
64   if $(am__is_gnu_make); then \
65     sane_makeflags=$$MFLAGS; \
66   else \
67     case $$MAKEFLAGS in \
68       *\\[\ \   ]*) \
69         bs=\\; \
70         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
71           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
72     esac; \
73   fi; \
74   skip_next=no; \
75   strip_trailopt () \
76   { \
77     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
78   }; \
79   for flg in $$sane_makeflags; do \
80     test $$skip_next = yes && { skip_next=no; continue; }; \
81     case $$flg in \
82       *=*|--*) continue;; \
83         -*I) strip_trailopt 'I'; skip_next=yes;; \
84       -*I?*) strip_trailopt 'I';; \
85         -*O) strip_trailopt 'O'; skip_next=yes;; \
86       -*O?*) strip_trailopt 'O';; \
87         -*l) strip_trailopt 'l'; skip_next=yes;; \
88       -*l?*) strip_trailopt 'l';; \
89       -[dEDm]) skip_next=yes;; \
90       -[JT]) skip_next=yes;; \
91     esac; \
92     case $$flg in \
93       *$$target_option*) has_opt=yes; break;; \
94     esac; \
95   done; \
96   test $$has_opt = yes
97 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
98 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
99 pkgdatadir = $(datadir)/@PACKAGE@
100 pkgincludedir = $(includedir)/@PACKAGE@
101 pkglibdir = $(libdir)/@PACKAGE@
102 pkglibexecdir = $(libexecdir)/@PACKAGE@
103 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
104 install_sh_DATA = $(install_sh) -c -m 644
105 install_sh_PROGRAM = $(install_sh) -c
106 install_sh_SCRIPT = $(install_sh) -c
107 INSTALL_HEADER = $(INSTALL_DATA)
108 transform = $(program_transform_name)
109 NORMAL_INSTALL = :
110 PRE_INSTALL = :
111 POST_INSTALL = :
112 NORMAL_UNINSTALL = :
113 PRE_UNINSTALL = :
114 POST_UNINSTALL = :
115 build_triplet = @build@
116 host_triplet = @host@
117 @NEED_JAVA_TRUE@am__append_1 = java
118 subdir = modules/special_functions
119 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
120 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx.m4 \
121         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
122         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
123         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
124         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
125         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
126         $(top_srcdir)/m4/intel_compiler.m4 \
127         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
128         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
129         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
130         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
131         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
132         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
133         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
134         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
135         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
136         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
137         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
138 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
139         $(ACLOCAL_M4)
140 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
141 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
142 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
143 CONFIG_CLEAN_FILES =
144 CONFIG_CLEAN_VPATH_FILES =
145 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
146 am__vpath_adj = case $$p in \
147     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
148     *) f=$$p;; \
149   esac;
150 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
151 am__install_max = 40
152 am__nobase_strip_setup = \
153   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
154 am__nobase_strip = \
155   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
156 am__nobase_list = $(am__nobase_strip_setup); \
157   for p in $$list; do echo "$$p $$p"; done | \
158   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
159   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
160     if (++n[$$2] == $(am__install_max)) \
161       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
162     END { for (dir in files) print dir, files[dir] }'
163 am__base_list = \
164   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
165   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
166 am__uninstall_files_from_dir = { \
167   test -z "$$files" \
168     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
169     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
170          $(am__cd) "$$dir" && rm -f $$files; }; \
171   }
172 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
173         "$(DESTDIR)$(libscispecial_functions_la_etcdir)" \
174         "$(DESTDIR)$(libscispecial_functions_la_rootdir)" \
175         "$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)"
176 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
177 libscispecial_functions_algo_la_LIBADD =
178 am__dirstamp = $(am__leading_dot)dirstamp
179 am__objects_1 = src/c/libscispecial_functions_algo_la-zbeshv.lo
180 am__objects_2 = src/fortran/dbesig.lo src/fortran/dbesjg.lo \
181         src/fortran/dbeskg.lo src/fortran/dbesyg.lo src/fortran/psi.lo \
182         src/fortran/zbesig.lo src/fortran/zbesjg.lo \
183         src/fortran/zbeskg.lo src/fortran/zbesyg.lo
184 am__objects_3 = src/cpp/libscispecial_functions_algo_la-faddeeva.lo
185 am_libscispecial_functions_algo_la_OBJECTS = $(am__objects_1) \
186         $(am__objects_2) $(am__objects_3)
187 libscispecial_functions_algo_la_OBJECTS =  \
188         $(am_libscispecial_functions_algo_la_OBJECTS)
189 AM_V_lt = $(am__v_lt_@AM_V@)
190 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
191 am__v_lt_0 = --silent
192 am__v_lt_1 = 
193 am__DEPENDENCIES_1 =
194 libscispecial_functions_la_DEPENDENCIES =  \
195         libscispecial_functions-algo.la $(am__DEPENDENCIES_1)
196 am__objects_4 =  \
197         sci_gateway/c/libscispecial_functions_la-sci_bessely.lo \
198         sci_gateway/c/libscispecial_functions_la-sci_beta.lo \
199         sci_gateway/c/libscispecial_functions_la-sci_legendre.lo \
200         sci_gateway/c/libscispecial_functions_la-sci_besselh.lo \
201         sci_gateway/c/libscispecial_functions_la-sci_besseli.lo \
202         sci_gateway/c/libscispecial_functions_la-sci_besselj.lo \
203         sci_gateway/c/libscispecial_functions_la-sci_besselk.lo
204 am__objects_5 =  \
205         sci_gateway/cpp/libscispecial_functions_la-sci_faddeeva.lo \
206         sci_gateway/cpp/libscispecial_functions_la-sci_gamma.lo \
207         sci_gateway/cpp/libscispecial_functions_la-sci_lgamma.lo \
208         sci_gateway/cpp/libscispecial_functions_la-sci_dlgamma.lo
209 am_libscispecial_functions_la_OBJECTS = $(am__objects_4) \
210         $(am__objects_5)
211 libscispecial_functions_la_OBJECTS =  \
212         $(am_libscispecial_functions_la_OBJECTS)
213 AM_V_P = $(am__v_P_@AM_V@)
214 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
215 am__v_P_0 = false
216 am__v_P_1 = :
217 AM_V_GEN = $(am__v_GEN_@AM_V@)
218 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
219 am__v_GEN_0 = @echo "  GEN     " $@;
220 am__v_GEN_1 = 
221 AM_V_at = $(am__v_at_@AM_V@)
222 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
223 am__v_at_0 = @
224 am__v_at_1 = 
225 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
226 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
227 am__maybe_remake_depfiles = depfiles
228 am__depfiles_remade = sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselh.Plo \
229         sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besseli.Plo \
230         sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselj.Plo \
231         sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselk.Plo \
232         sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_bessely.Plo \
233         sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_beta.Plo \
234         sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_legendre.Plo \
235         sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_dlgamma.Plo \
236         sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_faddeeva.Plo \
237         sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_gamma.Plo \
238         sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_lgamma.Plo \
239         src/c/$(DEPDIR)/libscispecial_functions_algo_la-zbeshv.Plo \
240         src/cpp/$(DEPDIR)/libscispecial_functions_algo_la-faddeeva.Plo
241 am__mv = mv -f
242 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
243         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
244 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
245         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
246         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
247         $(AM_CFLAGS) $(CFLAGS)
248 AM_V_CC = $(am__v_CC_@AM_V@)
249 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
250 am__v_CC_0 = @echo "  CC      " $@;
251 am__v_CC_1 = 
252 CCLD = $(CC)
253 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
254         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
255         $(AM_LDFLAGS) $(LDFLAGS) -o $@
256 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
257 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
258 am__v_CCLD_0 = @echo "  CCLD    " $@;
259 am__v_CCLD_1 = 
260 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
261         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
262 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
263         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
264         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
265         $(AM_CXXFLAGS) $(CXXFLAGS)
266 AM_V_CXX = $(am__v_CXX_@AM_V@)
267 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
268 am__v_CXX_0 = @echo "  CXX     " $@;
269 am__v_CXX_1 = 
270 CXXLD = $(CXX)
271 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
272         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
273         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
274 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
275 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
276 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
277 am__v_CXXLD_1 = 
278 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
279 LTF77COMPILE = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
280         $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
281 AM_V_F77 = $(am__v_F77_@AM_V@)
282 am__v_F77_ = $(am__v_F77_@AM_DEFAULT_V@)
283 am__v_F77_0 = @echo "  F77     " $@;
284 am__v_F77_1 = 
285 F77LD = $(F77)
286 F77LINK = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
287         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
288         $(AM_LDFLAGS) $(LDFLAGS) -o $@
289 AM_V_F77LD = $(am__v_F77LD_@AM_V@)
290 am__v_F77LD_ = $(am__v_F77LD_@AM_DEFAULT_V@)
291 am__v_F77LD_0 = @echo "  F77LD   " $@;
292 am__v_F77LD_1 = 
293 SOURCES = $(libscispecial_functions_algo_la_SOURCES) \
294         $(libscispecial_functions_la_SOURCES)
295 DIST_SOURCES = $(libscispecial_functions_algo_la_SOURCES) \
296         $(libscispecial_functions_la_SOURCES)
297 am__can_run_installinfo = \
298   case $$AM_UPDATE_INFO_DIR in \
299     n|no|NO) false;; \
300     *) (install-info --version) >/dev/null 2>&1;; \
301   esac
302 DATA = $(libscispecial_functions_la_etc_DATA) \
303         $(libscispecial_functions_la_root_DATA) \
304         $(libscispecial_functions_la_sci_gateway_DATA)
305 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
306 # Read a list of newline-separated strings from the standard input,
307 # and print each of them once, without duplicates.  Input order is
308 # *not* preserved.
309 am__uniquify_input = $(AWK) '\
310   BEGIN { nonempty = 0; } \
311   { items[$$0] = 1; nonempty = 1; } \
312   END { if (nonempty) { for (i in items) print i; }; } \
313 '
314 # Make sure the list of sources is unique.  This is necessary because,
315 # e.g., the same source file might be shared among _SOURCES variables
316 # for different programs/libraries.
317 am__define_uniq_tagged_files = \
318   list='$(am__tagged_files)'; \
319   unique=`for i in $$list; do \
320     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
321   done | $(am__uniquify_input)`
322 ETAGS = etags
323 CTAGS = ctags
324 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
325         $(top_srcdir)/config/depcomp \
326         $(top_srcdir)/config/mkinstalldirs
327 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
328 ACLOCAL = @ACLOCAL@
329 ALL_LINGUAS = @ALL_LINGUAS@
330 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
331 AMTAR = @AMTAR@
332 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
333 ANT = @ANT@
334 ANTLR = @ANTLR@
335 AR = @AR@
336 ARPACK_LIBS = @ARPACK_LIBS@
337 ASM3 = @ASM3@
338 AUTOCONF = @AUTOCONF@
339 AUTOHEADER = @AUTOHEADER@
340 AUTOMAKE = @AUTOMAKE@
341 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
342 AWK = @AWK@
343 BATIK = @BATIK@
344 BLAS_CFLAGS = @BLAS_CFLAGS@
345 BLAS_LIBS = @BLAS_LIBS@
346 CC = @CC@
347 CCACHE = @CCACHE@
348 CCDEPMODE = @CCDEPMODE@
349 CFLAGS = @CFLAGS@
350 CHECKSTYLE = @CHECKSTYLE@
351 COBERTURA = @COBERTURA@
352 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
353 COMMONS_IO = @COMMONS_IO@
354 COMMONS_LOGGING = @COMMONS_LOGGING@
355 CPP = @CPP@
356 CPPFLAGS = @CPPFLAGS@
357 CURL_CFLAGS = @CURL_CFLAGS@
358 CURL_CONFIG = @CURL_CONFIG@
359 CURL_LIBS = @CURL_LIBS@
360 CURL_VERSION = @CURL_VERSION@
361 CXX = @CXX@
362 CXXCPP = @CXXCPP@
363 CXXDEPMODE = @CXXDEPMODE@
364 CXXFLAGS = @CXXFLAGS@
365 CYGPATH_W = @CYGPATH_W@
366 DEFS = @DEFS@
367 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
368 DEPDIR = @DEPDIR@
369 DLLTOOL = @DLLTOOL@
370 DOCBOOK_ROOT = @DOCBOOK_ROOT@
371 DOXYGEN_BIN = @DOXYGEN_BIN@
372 DSYMUTIL = @DSYMUTIL@
373 DUMPBIN = @DUMPBIN@
374 ECHO_C = @ECHO_C@
375 ECHO_N = @ECHO_N@
376 ECHO_T = @ECHO_T@
377 ECJ = @ECJ@
378 EGREP = @EGREP@
379 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
380 EXEEXT = @EXEEXT@
381 F77 = @F77@
382 FFLAGS = @FFLAGS@
383 FFTW3_LIB = @FFTW3_LIB@
384 FFTW_ENABLE = @FFTW_ENABLE@
385 FGREP = @FGREP@
386 FLEXDOCK = @FLEXDOCK@
387 FLIBS = @FLIBS@
388 FOP = @FOP@
389 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
390 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
391 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
392 FREEHEP_IO = @FREEHEP_IO@
393 FREEHEP_UTIL = @FREEHEP_UTIL@
394 GENHTML = @GENHTML@
395 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
396 GIWS_BIN = @GIWS_BIN@
397 GLUEGEN2_RT = @GLUEGEN2_RT@
398 GMSGFMT = @GMSGFMT@
399 GMSGFMT_015 = @GMSGFMT_015@
400 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
401 GREP = @GREP@
402 GUI_ENABLE = @GUI_ENABLE@
403 HAMCREST = @HAMCREST@
404 HAVE_CXX17 = @HAVE_CXX17@
405 HDF5_CFLAGS = @HDF5_CFLAGS@
406 HDF5_LIBS = @HDF5_LIBS@
407 HELP_ENABLE = @HELP_ENABLE@
408 INSTALL = @INSTALL@
409 INSTALL_DATA = @INSTALL_DATA@
410 INSTALL_PROGRAM = @INSTALL_PROGRAM@
411 INSTALL_SCRIPT = @INSTALL_SCRIPT@
412 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
413 INTLLIBS = @INTLLIBS@
414 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
415 JAR = @JAR@
416 JAVA = @JAVA@
417 JAVAC = @JAVAC@
418 JAVAC_DEBUG = @JAVAC_DEBUG@
419 JAVADOC = @JAVADOC@
420 JAVASCI_ENABLE = @JAVASCI_ENABLE@
421 JAVA_ENABLE = @JAVA_ENABLE@
422 JAVA_G = @JAVA_G@
423 JAVA_HOME = @JAVA_HOME@
424 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
425 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
426 JDB = @JDB@
427 JEUCLID_CORE = @JEUCLID_CORE@
428 JGRAPHX = @JGRAPHX@
429 JHALL = @JHALL@
430 JLATEXMATH = @JLATEXMATH@
431 JLATEXMATH_FOP = @JLATEXMATH_FOP@
432 JOGL2 = @JOGL2@
433 JROSETTA_API = @JROSETTA_API@
434 JROSETTA_ENGINE = @JROSETTA_ENGINE@
435 JUNIT4 = @JUNIT4@
436 LAPACK_LIBS = @LAPACK_LIBS@
437 LCOV = @LCOV@
438 LD = @LD@
439 LDFLAGS = @LDFLAGS@
440 LEX = @LEX@
441 LEXLIB = @LEXLIB@
442 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
443 LIBICONV = @LIBICONV@
444 LIBINTL = @LIBINTL@
445 LIBM = @LIBM@
446 LIBOBJS = @LIBOBJS@
447 LIBS = @LIBS@
448 LIBTOOL = @LIBTOOL@
449 LIPO = @LIPO@
450 LN_S = @LN_S@
451 LOGGING_LEVEL = @LOGGING_LEVEL@
452 LOOKS = @LOOKS@
453 LTLIBICONV = @LTLIBICONV@
454 LTLIBINTL = @LTLIBINTL@
455 LTLIBOBJS = @LTLIBOBJS@
456 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
457 LUCENE = @LUCENE@
458 LUCENE_ANALYZER = @LUCENE_ANALYZER@
459 LUCENE_PARSER = @LUCENE_PARSER@
460 MAINT = @MAINT@
461 MAKEINFO = @MAKEINFO@
462 MANIFEST_TOOL = @MANIFEST_TOOL@
463 MATIO_CFLAGS = @MATIO_CFLAGS@
464 MATIO_ENABLE = @MATIO_ENABLE@
465 MATIO_LIBS = @MATIO_LIBS@
466 MKDIR_P = @MKDIR_P@
467 MPI_ENABLE = @MPI_ENABLE@
468 MSGCAT = @MSGCAT@
469 MSGFMT = @MSGFMT@
470 MSGFMT_015 = @MSGFMT_015@
471 MSGMERGE = @MSGMERGE@
472 NM = @NM@
473 NMEDIT = @NMEDIT@
474 OBJDUMP = @OBJDUMP@
475 OBJEXT = @OBJEXT@
476 OCAMLC = @OCAMLC@
477 OCAMLCFLAGS = @OCAMLCFLAGS@
478 OCAMLDEP = @OCAMLDEP@
479 OCAMLLEX = @OCAMLLEX@
480 OCAMLOPT = @OCAMLOPT@
481 OCAMLOPTFLAGS = @OCAMLOPTFLAGS@
482 OCAMLYACC = @OCAMLYACC@
483 OPENMPI_CC = @OPENMPI_CC@
484 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
485 OPENMPI_CXX = @OPENMPI_CXX@
486 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
487 OPENMPI_LIBS = @OPENMPI_LIBS@
488 OPENMP_CFLAGS = @OPENMP_CFLAGS@
489 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
490 OPENMP_ENABLE = @OPENMP_ENABLE@
491 OPENMP_LIBS = @OPENMP_LIBS@
492 OTOOL = @OTOOL@
493 OTOOL64 = @OTOOL64@
494 PACKAGE = @PACKAGE@
495 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
496 PACKAGE_NAME = @PACKAGE_NAME@
497 PACKAGE_STRING = @PACKAGE_STRING@
498 PACKAGE_TARNAME = @PACKAGE_TARNAME@
499 PACKAGE_URL = @PACKAGE_URL@
500 PACKAGE_VERSION = @PACKAGE_VERSION@
501 PATH_SEPARATOR = @PATH_SEPARATOR@
502 PCRE_CFLAGS = @PCRE_CFLAGS@
503 PCRE_CONFIG = @PCRE_CONFIG@
504 PCRE_LIBS = @PCRE_LIBS@
505 PCRE_VERSION = @PCRE_VERSION@
506 PKG_CONFIG = @PKG_CONFIG@
507 POSUB = @POSUB@
508 POW_LIB = @POW_LIB@
509 PYTHON = @PYTHON@
510 RANLIB = @RANLIB@
511 RELOCATABLE = @RELOCATABLE@
512 RT_LIB = @RT_LIB@
513 SAXON = @SAXON@
514 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
515 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
516 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
517 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
518 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
519 SCIRENDERER = @SCIRENDERER@
520 SCIRENDERER_CP = @SCIRENDERER_CP@
521 SCI_CFLAGS = @SCI_CFLAGS@
522 SCI_CXXFLAGS = @SCI_CXXFLAGS@
523 SCI_FFLAGS = @SCI_FFLAGS@
524 SCI_LDFLAGS = @SCI_LDFLAGS@
525 SED = @SED@
526 SET_MAKE = @SET_MAKE@
527 SET_RELOCATABLE = @SET_RELOCATABLE@
528 SHELL = @SHELL@
529 SKINLF = @SKINLF@
530 SPLINT = @SPLINT@
531 STRIP = @STRIP@
532 SWIG_BIN = @SWIG_BIN@
533 SWIG_JAVA = @SWIG_JAVA@
534 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
535 SWIG_SCILAB = @SWIG_SCILAB@
536 TCLTK_LIBS = @TCLTK_LIBS@
537 TCL_INC_PATH = @TCL_INC_PATH@
538 TK_INC_PATH = @TK_INC_PATH@
539 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
540 UMFPACK_ENABLE = @UMFPACK_ENABLE@
541 UMFPACK_LIB = @UMFPACK_LIB@
542 USE_NLS = @USE_NLS@
543 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
544 VALGRIND_LIBS = @VALGRIND_LIBS@
545 VERSION = @VERSION@
546 WITH_OCAML = @WITH_OCAML@
547 WITH_TKSCI = @WITH_TKSCI@
548 XCOS_ENABLE = @XCOS_ENABLE@
549 XGETTEXT = @XGETTEXT@
550 XGETTEXT_015 = @XGETTEXT_015@
551 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
552 XMKMF = @XMKMF@
553 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
554 XML_APIS_EXT = @XML_APIS_EXT@
555 XML_CONFIG = @XML_CONFIG@
556 XML_FLAGS = @XML_FLAGS@
557 XML_LIBS = @XML_LIBS@
558 XML_VERSION = @XML_VERSION@
559 X_CFLAGS = @X_CFLAGS@
560 X_EXTRA_LIBS = @X_EXTRA_LIBS@
561 X_LIBS = @X_LIBS@
562 X_PRE_LIBS = @X_PRE_LIBS@
563 YACC = @YACC@
564 YFLAGS = @YFLAGS@
565 abs_builddir = @abs_builddir@
566 abs_srcdir = @abs_srcdir@
567 abs_top_builddir = @abs_top_builddir@
568 abs_top_srcdir = @abs_top_srcdir@
569 ac_ct_AR = @ac_ct_AR@
570 ac_ct_CC = @ac_ct_CC@
571 ac_ct_CXX = @ac_ct_CXX@
572 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
573 ac_ct_F77 = @ac_ct_F77@
574 am__include = @am__include@
575 am__leading_dot = @am__leading_dot@
576 am__quote = @am__quote@
577 am__tar = @am__tar@
578 am__untar = @am__untar@
579 bindir = @bindir@
580 build = @build@
581 build_alias = @build_alias@
582 build_cpu = @build_cpu@
583 build_os = @build_os@
584 build_vendor = @build_vendor@
585 builddir = @builddir@
586 cxx_present = @cxx_present@
587 datadir = @datadir@
588 datarootdir = @datarootdir@
589 docdir = @docdir@
590 dvidir = @dvidir@
591 exec_prefix = @exec_prefix@
592 host = @host@
593 host_alias = @host_alias@
594 host_cpu = @host_cpu@
595 host_os = @host_os@
596 host_vendor = @host_vendor@
597 htmldir = @htmldir@
598 includedir = @includedir@
599 infodir = @infodir@
600 install_sh = @install_sh@
601 libdir = @libdir@
602 libexecdir = @libexecdir@
603 localedir = @localedir@
604 localstatedir = @localstatedir@
605 mandir = @mandir@
606 mkdir_p = @mkdir_p@
607 oldincludedir = @oldincludedir@
608 pdfdir = @pdfdir@
609 prefix = @prefix@
610 program_transform_name = @program_transform_name@
611 psdir = @psdir@
612 runstatedir = @runstatedir@
613 sbindir = @sbindir@
614 sharedstatedir = @sharedstatedir@
615 srcdir = @srcdir@
616 sysconfdir = @sysconfdir@
617 target_alias = @target_alias@
618 top_build_prefix = @top_build_prefix@
619 top_builddir = @top_builddir@
620 top_srcdir = @top_srcdir@
621 yacc_present = @yacc_present@
622 SPECIAL_FUNCTIONS_C_SOURCES = src/c/zbeshv.c
623
624 # List of the cpp files
625 SPECIAL_FUNCTIONS_CXX_SOURCES = \
626     src/cpp/faddeeva.cpp
627
628 SPECIAL_FUNCTIONS_FORTRAN_SOURCES = \
629     src/fortran/dbesig.f \
630     src/fortran/dbesjg.f \
631     src/fortran/dbeskg.f \
632     src/fortran/dbesyg.f \
633     src/fortran/psi.f \
634     src/fortran/zbesig.f \
635     src/fortran/zbesjg.f \
636     src/fortran/zbeskg.f \
637     src/fortran/zbesyg.f
638
639 GATEWAY_C_SOURCES = \
640     sci_gateway/c/sci_bessely.c \
641     sci_gateway/c/sci_beta.c \
642     sci_gateway/c/sci_legendre.c \
643     sci_gateway/c/sci_besselh.c \
644     sci_gateway/c/sci_besseli.c \
645     sci_gateway/c/sci_besselj.c \
646     sci_gateway/c/sci_besselk.c
647
648 GATEWAY_CXX_SOURCES = \
649     sci_gateway/cpp/sci_faddeeva.cpp \
650     sci_gateway/cpp/sci_gamma.cpp \
651     sci_gateway/cpp/sci_lgamma.cpp \
652     sci_gateway/cpp/sci_dlgamma.cpp
653
654
655 # Includes need for the compilation
656 libscispecial_functions_la_CPPFLAGS = \
657     -I$(srcdir)/includes/ \
658     -I$(srcdir)/src/c/ \
659     -I$(srcdir)/src/cpp/ \
660     -I$(srcdir)/sci_gateway/cpp/ \
661     -I$(top_srcdir)/modules/ast/includes/ast/ \
662     -I$(top_srcdir)/modules/ast/includes/exps/ \
663     -I$(top_srcdir)/modules/ast/includes/operations/ \
664     -I$(top_srcdir)/modules/ast/includes/parse/ \
665     -I$(top_srcdir)/modules/ast/includes/symbol/ \
666     -I$(top_srcdir)/modules/ast/includes/system_env/ \
667     -I$(top_srcdir)/modules/ast/includes/types/ \
668     -I$(top_srcdir)/modules/ast/includes/analysis/ \
669     -I$(top_srcdir)/modules/core/src/c/ \
670     -I$(top_srcdir)/modules/elementary_functions/includes/ \
671     -I$(top_srcdir)/modules/api_scilab/includes/ \
672     -I$(top_srcdir)/modules/output_stream/includes/ \
673     -I$(top_srcdir)/modules/localization/includes/ \
674     -I$(top_srcdir)/modules/dynamic_link/includes/ \
675     -I$(top_srcdir)/modules/string/includes/ \
676     -I$(top_srcdir)/modules/threads/includes/ \
677     -I$(top_srcdir)/modules/console/includes/ \
678     $(AM_CPPFLAGS)
679
680 pkglib_LTLIBRARIES = libscispecial_functions.la
681 noinst_LTLIBRARIES = libscispecial_functions-algo.la
682 libscispecial_functions_algo_la_SOURCES = $(SPECIAL_FUNCTIONS_C_SOURCES) $(SPECIAL_FUNCTIONS_FORTRAN_SOURCES) $(SPECIAL_FUNCTIONS_CXX_SOURCES)
683 libscispecial_functions_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
684 libscispecial_functions_algo_la_CPPFLAGS = $(libscispecial_functions_la_CPPFLAGS)
685
686 # For the code check (splint)
687 CHECK_SRC = $(SPECIAL_FUNCTIONS_C_SOURCES) $(GATEWAY_C_SOURCES)
688 INCLUDE_FLAGS = $(libscispecial_functions_la_CPPFLAGS)
689 libscispecial_functions_la_LIBADD = libscispecial_functions-algo.la $(FLIBS)
690
691 #### Target ######
692 modulename = special_functions
693
694 #### special_functions : Conf files ####
695 libscispecial_functions_la_rootdir = $(mydatadir)
696 libscispecial_functions_la_root_DATA = license.txt
697
698 #### special_functions : init scripts ####
699 libscispecial_functions_la_etcdir = $(mydatadir)/etc
700 libscispecial_functions_la_etc_DATA = etc/special_functions.quit etc/special_functions.start
701
702 #### special_functions : gateway declaration ####
703 libscispecial_functions_la_sci_gatewaydir = $(mydatadir)/sci_gateway
704 libscispecial_functions_la_sci_gateway_DATA = sci_gateway/special_functions_gateway.xml
705
706 # Where all the Scilab stuff is installed (macros, help, ...)
707 mydatadir = $(pkgdatadir)/modules/$(modulename)
708
709 # Set AM_* SCI detected settings
710 AM_CPPFLAGS = $(SCI_CPPFLAGS)
711 AM_CFLAGS = $(SCI_CFLAGS)
712 AM_CXXFLAGS = $(SCI_CXXFLAGS)
713 # append includes to AM_FFLAGS to manage fortran includes
714 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
715
716 # Tag shared libraries with the Scilab version
717 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
718
719 # splint options
720 SPLINT_OPTIONS = -weak -booltype BOOL
721
722 ########################### JAVA ######################################
723 #### We are delegating java compilation to ant... Thanks to that
724 #### the procedure will be the same with Microsoft Windows (C)
725 #### and Linux/Unix
726 #######################################################################
727 TARGETS_ALL = $(am__append_1)
728
729 ################ MACROS ######################
730 # Rule to build a macro
731 # NOT USED  AT THE MOMENT
732 SUFFIXES = .sci 
733
734 ########### INSTALL DOCUMENTATION ###################
735
736 # Install documentation files into the right target
737 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
738 # automake needs the html files to be present which is not the case when
739 # we are building Scilab
740
741 # Where it should be installed
742 pkgdocdir = $(mydatadir)
743
744 # What is the mask of the help source
745 DOCMASKXML = *.xml
746
747 # What is the mask of the MathML sources
748 DOCMASKMML = *.mml
749
750 ########### INSTALL DATA ###################
751 # Install macros, help & demos
752 # Where it should be installed
753 pkgmacrosdir = $(mydatadir)
754 # Which directory we process
755 MACRODIRS = macros/
756 # Mask of the Scilab sources macros
757 MACROMASK = *.sci
758 # Mask of the Scilab executable sources macros
759 MACROBUILDMASK = *.sce
760 # Mask of the Scilab compiled macros
761 MACROBINMASK = *.bin
762 # List of the standard directory for tests
763 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
764 # Where the demos should be installed
765 pkgdemosdir = $(mydatadir)
766 # List of the standard directory for demos
767 DEMOS_DIR = demos
768 # List of the standard directory for examples
769 EXAMPLES_DIR = examples
770 # Where to export JAVA archives (.jar)
771 JARDIR = jar/
772 # JAR files mask
773 JARMASK = *.jar
774 # Chapter file 
775 HELP_CHAPTERDIR = help/
776 HELP_CHAPTERFILE = addchapter.sce
777 HELP_CHAPTERLANG = en_US fr_FR pt_BR
778 all: all-am
779
780 .SUFFIXES:
781 .SUFFIXES: .sci .bin .c .cpp .f .lo .o .obj
782 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
783         @for dep in $?; do \
784           case '$(am__configure_deps)' in \
785             *$$dep*) \
786               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
787                 && { if test -f $@; then exit 0; else break; fi; }; \
788               exit 1;; \
789           esac; \
790         done; \
791         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/special_functions/Makefile'; \
792         $(am__cd) $(top_srcdir) && \
793           $(AUTOMAKE) --foreign modules/special_functions/Makefile
794 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
795         @case '$?' in \
796           *config.status*) \
797             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
798           *) \
799             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
800             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
801         esac;
802 $(top_srcdir)/Makefile.incl.am $(am__empty):
803
804 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
805         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
806
807 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
808         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
809 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
810         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
811 $(am__aclocal_m4_deps):
812
813 clean-noinstLTLIBRARIES:
814         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
815         @list='$(noinst_LTLIBRARIES)'; \
816         locs=`for p in $$list; do echo $$p; done | \
817               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
818               sort -u`; \
819         test -z "$$locs" || { \
820           echo rm -f $${locs}; \
821           rm -f $${locs}; \
822         }
823
824 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
825         @$(NORMAL_INSTALL)
826         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
827         list2=; for p in $$list; do \
828           if test -f $$p; then \
829             list2="$$list2 $$p"; \
830           else :; fi; \
831         done; \
832         test -z "$$list2" || { \
833           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
834           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
835           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
836           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
837         }
838
839 uninstall-pkglibLTLIBRARIES:
840         @$(NORMAL_UNINSTALL)
841         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
842         for p in $$list; do \
843           $(am__strip_dir) \
844           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
845           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
846         done
847
848 clean-pkglibLTLIBRARIES:
849         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
850         @list='$(pkglib_LTLIBRARIES)'; \
851         locs=`for p in $$list; do echo $$p; done | \
852               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
853               sort -u`; \
854         test -z "$$locs" || { \
855           echo rm -f $${locs}; \
856           rm -f $${locs}; \
857         }
858 src/c/$(am__dirstamp):
859         @$(MKDIR_P) src/c
860         @: > src/c/$(am__dirstamp)
861 src/c/$(DEPDIR)/$(am__dirstamp):
862         @$(MKDIR_P) src/c/$(DEPDIR)
863         @: > src/c/$(DEPDIR)/$(am__dirstamp)
864 src/c/libscispecial_functions_algo_la-zbeshv.lo:  \
865         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
866 src/fortran/$(am__dirstamp):
867         @$(MKDIR_P) src/fortran
868         @: > src/fortran/$(am__dirstamp)
869 src/fortran/$(DEPDIR)/$(am__dirstamp):
870         @$(MKDIR_P) src/fortran/$(DEPDIR)
871         @: > src/fortran/$(DEPDIR)/$(am__dirstamp)
872 src/fortran/dbesig.lo: src/fortran/$(am__dirstamp) \
873         src/fortran/$(DEPDIR)/$(am__dirstamp)
874 src/fortran/dbesjg.lo: src/fortran/$(am__dirstamp) \
875         src/fortran/$(DEPDIR)/$(am__dirstamp)
876 src/fortran/dbeskg.lo: src/fortran/$(am__dirstamp) \
877         src/fortran/$(DEPDIR)/$(am__dirstamp)
878 src/fortran/dbesyg.lo: src/fortran/$(am__dirstamp) \
879         src/fortran/$(DEPDIR)/$(am__dirstamp)
880 src/fortran/psi.lo: src/fortran/$(am__dirstamp) \
881         src/fortran/$(DEPDIR)/$(am__dirstamp)
882 src/fortran/zbesig.lo: src/fortran/$(am__dirstamp) \
883         src/fortran/$(DEPDIR)/$(am__dirstamp)
884 src/fortran/zbesjg.lo: src/fortran/$(am__dirstamp) \
885         src/fortran/$(DEPDIR)/$(am__dirstamp)
886 src/fortran/zbeskg.lo: src/fortran/$(am__dirstamp) \
887         src/fortran/$(DEPDIR)/$(am__dirstamp)
888 src/fortran/zbesyg.lo: src/fortran/$(am__dirstamp) \
889         src/fortran/$(DEPDIR)/$(am__dirstamp)
890 src/cpp/$(am__dirstamp):
891         @$(MKDIR_P) src/cpp
892         @: > src/cpp/$(am__dirstamp)
893 src/cpp/$(DEPDIR)/$(am__dirstamp):
894         @$(MKDIR_P) src/cpp/$(DEPDIR)
895         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
896 src/cpp/libscispecial_functions_algo_la-faddeeva.lo:  \
897         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
898
899 libscispecial_functions-algo.la: $(libscispecial_functions_algo_la_OBJECTS) $(libscispecial_functions_algo_la_DEPENDENCIES) $(EXTRA_libscispecial_functions_algo_la_DEPENDENCIES) 
900         $(AM_V_CXXLD)$(CXXLINK)  $(libscispecial_functions_algo_la_OBJECTS) $(libscispecial_functions_algo_la_LIBADD) $(LIBS)
901 sci_gateway/c/$(am__dirstamp):
902         @$(MKDIR_P) sci_gateway/c
903         @: > sci_gateway/c/$(am__dirstamp)
904 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
905         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
906         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
907 sci_gateway/c/libscispecial_functions_la-sci_bessely.lo:  \
908         sci_gateway/c/$(am__dirstamp) \
909         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
910 sci_gateway/c/libscispecial_functions_la-sci_beta.lo:  \
911         sci_gateway/c/$(am__dirstamp) \
912         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
913 sci_gateway/c/libscispecial_functions_la-sci_legendre.lo:  \
914         sci_gateway/c/$(am__dirstamp) \
915         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
916 sci_gateway/c/libscispecial_functions_la-sci_besselh.lo:  \
917         sci_gateway/c/$(am__dirstamp) \
918         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
919 sci_gateway/c/libscispecial_functions_la-sci_besseli.lo:  \
920         sci_gateway/c/$(am__dirstamp) \
921         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
922 sci_gateway/c/libscispecial_functions_la-sci_besselj.lo:  \
923         sci_gateway/c/$(am__dirstamp) \
924         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
925 sci_gateway/c/libscispecial_functions_la-sci_besselk.lo:  \
926         sci_gateway/c/$(am__dirstamp) \
927         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
928 sci_gateway/cpp/$(am__dirstamp):
929         @$(MKDIR_P) sci_gateway/cpp
930         @: > sci_gateway/cpp/$(am__dirstamp)
931 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
932         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
933         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
934 sci_gateway/cpp/libscispecial_functions_la-sci_faddeeva.lo:  \
935         sci_gateway/cpp/$(am__dirstamp) \
936         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
937 sci_gateway/cpp/libscispecial_functions_la-sci_gamma.lo:  \
938         sci_gateway/cpp/$(am__dirstamp) \
939         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
940 sci_gateway/cpp/libscispecial_functions_la-sci_lgamma.lo:  \
941         sci_gateway/cpp/$(am__dirstamp) \
942         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
943 sci_gateway/cpp/libscispecial_functions_la-sci_dlgamma.lo:  \
944         sci_gateway/cpp/$(am__dirstamp) \
945         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
946
947 libscispecial_functions.la: $(libscispecial_functions_la_OBJECTS) $(libscispecial_functions_la_DEPENDENCIES) $(EXTRA_libscispecial_functions_la_DEPENDENCIES) 
948         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libscispecial_functions_la_OBJECTS) $(libscispecial_functions_la_LIBADD) $(LIBS)
949
950 mostlyclean-compile:
951         -rm -f *.$(OBJEXT)
952         -rm -f sci_gateway/c/*.$(OBJEXT)
953         -rm -f sci_gateway/c/*.lo
954         -rm -f sci_gateway/cpp/*.$(OBJEXT)
955         -rm -f sci_gateway/cpp/*.lo
956         -rm -f src/c/*.$(OBJEXT)
957         -rm -f src/c/*.lo
958         -rm -f src/cpp/*.$(OBJEXT)
959         -rm -f src/cpp/*.lo
960         -rm -f src/fortran/*.$(OBJEXT)
961         -rm -f src/fortran/*.lo
962
963 distclean-compile:
964         -rm -f *.tab.c
965
966 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselh.Plo@am__quote@ # am--include-marker
967 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besseli.Plo@am__quote@ # am--include-marker
968 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselj.Plo@am__quote@ # am--include-marker
969 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselk.Plo@am__quote@ # am--include-marker
970 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_bessely.Plo@am__quote@ # am--include-marker
971 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_beta.Plo@am__quote@ # am--include-marker
972 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_legendre.Plo@am__quote@ # am--include-marker
973 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_dlgamma.Plo@am__quote@ # am--include-marker
974 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_faddeeva.Plo@am__quote@ # am--include-marker
975 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_gamma.Plo@am__quote@ # am--include-marker
976 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_lgamma.Plo@am__quote@ # am--include-marker
977 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscispecial_functions_algo_la-zbeshv.Plo@am__quote@ # am--include-marker
978 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libscispecial_functions_algo_la-faddeeva.Plo@am__quote@ # am--include-marker
979
980 $(am__depfiles_remade):
981         @$(MKDIR_P) $(@D)
982         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
983
984 am--depfiles: $(am__depfiles_remade)
985
986 .c.o:
987 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
988 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
989 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
990 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
991 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
992 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
993
994 .c.obj:
995 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
996 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
997 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
998 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
999 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1000 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1001
1002 .c.lo:
1003 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1004 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1005 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
1006 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1007 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1008 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1009
1010 src/c/libscispecial_functions_algo_la-zbeshv.lo: src/c/zbeshv.c
1011 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscispecial_functions_algo_la-zbeshv.lo -MD -MP -MF src/c/$(DEPDIR)/libscispecial_functions_algo_la-zbeshv.Tpo -c -o src/c/libscispecial_functions_algo_la-zbeshv.lo `test -f 'src/c/zbeshv.c' || echo '$(srcdir)/'`src/c/zbeshv.c
1012 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscispecial_functions_algo_la-zbeshv.Tpo src/c/$(DEPDIR)/libscispecial_functions_algo_la-zbeshv.Plo
1013 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/zbeshv.c' object='src/c/libscispecial_functions_algo_la-zbeshv.lo' libtool=yes @AMDEPBACKSLASH@
1014 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1015 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscispecial_functions_algo_la-zbeshv.lo `test -f 'src/c/zbeshv.c' || echo '$(srcdir)/'`src/c/zbeshv.c
1016
1017 sci_gateway/c/libscispecial_functions_la-sci_bessely.lo: sci_gateway/c/sci_bessely.c
1018 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispecial_functions_la-sci_bessely.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_bessely.Tpo -c -o sci_gateway/c/libscispecial_functions_la-sci_bessely.lo `test -f 'sci_gateway/c/sci_bessely.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bessely.c
1019 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_bessely.Tpo sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_bessely.Plo
1020 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_bessely.c' object='sci_gateway/c/libscispecial_functions_la-sci_bessely.lo' libtool=yes @AMDEPBACKSLASH@
1021 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1022 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispecial_functions_la-sci_bessely.lo `test -f 'sci_gateway/c/sci_bessely.c' || echo '$(srcdir)/'`sci_gateway/c/sci_bessely.c
1023
1024 sci_gateway/c/libscispecial_functions_la-sci_beta.lo: sci_gateway/c/sci_beta.c
1025 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispecial_functions_la-sci_beta.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_beta.Tpo -c -o sci_gateway/c/libscispecial_functions_la-sci_beta.lo `test -f 'sci_gateway/c/sci_beta.c' || echo '$(srcdir)/'`sci_gateway/c/sci_beta.c
1026 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_beta.Tpo sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_beta.Plo
1027 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_beta.c' object='sci_gateway/c/libscispecial_functions_la-sci_beta.lo' libtool=yes @AMDEPBACKSLASH@
1028 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1029 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispecial_functions_la-sci_beta.lo `test -f 'sci_gateway/c/sci_beta.c' || echo '$(srcdir)/'`sci_gateway/c/sci_beta.c
1030
1031 sci_gateway/c/libscispecial_functions_la-sci_legendre.lo: sci_gateway/c/sci_legendre.c
1032 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispecial_functions_la-sci_legendre.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_legendre.Tpo -c -o sci_gateway/c/libscispecial_functions_la-sci_legendre.lo `test -f 'sci_gateway/c/sci_legendre.c' || echo '$(srcdir)/'`sci_gateway/c/sci_legendre.c
1033 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_legendre.Tpo sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_legendre.Plo
1034 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_legendre.c' object='sci_gateway/c/libscispecial_functions_la-sci_legendre.lo' libtool=yes @AMDEPBACKSLASH@
1035 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1036 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispecial_functions_la-sci_legendre.lo `test -f 'sci_gateway/c/sci_legendre.c' || echo '$(srcdir)/'`sci_gateway/c/sci_legendre.c
1037
1038 sci_gateway/c/libscispecial_functions_la-sci_besselh.lo: sci_gateway/c/sci_besselh.c
1039 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispecial_functions_la-sci_besselh.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselh.Tpo -c -o sci_gateway/c/libscispecial_functions_la-sci_besselh.lo `test -f 'sci_gateway/c/sci_besselh.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselh.c
1040 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselh.Tpo sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselh.Plo
1041 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_besselh.c' object='sci_gateway/c/libscispecial_functions_la-sci_besselh.lo' libtool=yes @AMDEPBACKSLASH@
1042 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1043 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispecial_functions_la-sci_besselh.lo `test -f 'sci_gateway/c/sci_besselh.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselh.c
1044
1045 sci_gateway/c/libscispecial_functions_la-sci_besseli.lo: sci_gateway/c/sci_besseli.c
1046 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispecial_functions_la-sci_besseli.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besseli.Tpo -c -o sci_gateway/c/libscispecial_functions_la-sci_besseli.lo `test -f 'sci_gateway/c/sci_besseli.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besseli.c
1047 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besseli.Tpo sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besseli.Plo
1048 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_besseli.c' object='sci_gateway/c/libscispecial_functions_la-sci_besseli.lo' libtool=yes @AMDEPBACKSLASH@
1049 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1050 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispecial_functions_la-sci_besseli.lo `test -f 'sci_gateway/c/sci_besseli.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besseli.c
1051
1052 sci_gateway/c/libscispecial_functions_la-sci_besselj.lo: sci_gateway/c/sci_besselj.c
1053 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispecial_functions_la-sci_besselj.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselj.Tpo -c -o sci_gateway/c/libscispecial_functions_la-sci_besselj.lo `test -f 'sci_gateway/c/sci_besselj.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselj.c
1054 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselj.Tpo sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselj.Plo
1055 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_besselj.c' object='sci_gateway/c/libscispecial_functions_la-sci_besselj.lo' libtool=yes @AMDEPBACKSLASH@
1056 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1057 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispecial_functions_la-sci_besselj.lo `test -f 'sci_gateway/c/sci_besselj.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselj.c
1058
1059 sci_gateway/c/libscispecial_functions_la-sci_besselk.lo: sci_gateway/c/sci_besselk.c
1060 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscispecial_functions_la-sci_besselk.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselk.Tpo -c -o sci_gateway/c/libscispecial_functions_la-sci_besselk.lo `test -f 'sci_gateway/c/sci_besselk.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselk.c
1061 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselk.Tpo sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselk.Plo
1062 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_besselk.c' object='sci_gateway/c/libscispecial_functions_la-sci_besselk.lo' libtool=yes @AMDEPBACKSLASH@
1063 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1064 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscispecial_functions_la-sci_besselk.lo `test -f 'sci_gateway/c/sci_besselk.c' || echo '$(srcdir)/'`sci_gateway/c/sci_besselk.c
1065
1066 .cpp.o:
1067 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1068 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1069 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1070 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1071 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1072 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1073
1074 .cpp.obj:
1075 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1076 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1077 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1078 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1079 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1080 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1081
1082 .cpp.lo:
1083 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1084 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1085 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1086 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1087 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1088 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1089
1090 src/cpp/libscispecial_functions_algo_la-faddeeva.lo: src/cpp/faddeeva.cpp
1091 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libscispecial_functions_algo_la-faddeeva.lo -MD -MP -MF src/cpp/$(DEPDIR)/libscispecial_functions_algo_la-faddeeva.Tpo -c -o src/cpp/libscispecial_functions_algo_la-faddeeva.lo `test -f 'src/cpp/faddeeva.cpp' || echo '$(srcdir)/'`src/cpp/faddeeva.cpp
1092 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libscispecial_functions_algo_la-faddeeva.Tpo src/cpp/$(DEPDIR)/libscispecial_functions_algo_la-faddeeva.Plo
1093 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/faddeeva.cpp' object='src/cpp/libscispecial_functions_algo_la-faddeeva.lo' libtool=yes @AMDEPBACKSLASH@
1094 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1095 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libscispecial_functions_algo_la-faddeeva.lo `test -f 'src/cpp/faddeeva.cpp' || echo '$(srcdir)/'`src/cpp/faddeeva.cpp
1096
1097 sci_gateway/cpp/libscispecial_functions_la-sci_faddeeva.lo: sci_gateway/cpp/sci_faddeeva.cpp
1098 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscispecial_functions_la-sci_faddeeva.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_faddeeva.Tpo -c -o sci_gateway/cpp/libscispecial_functions_la-sci_faddeeva.lo `test -f 'sci_gateway/cpp/sci_faddeeva.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_faddeeva.cpp
1099 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_faddeeva.Tpo sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_faddeeva.Plo
1100 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_faddeeva.cpp' object='sci_gateway/cpp/libscispecial_functions_la-sci_faddeeva.lo' libtool=yes @AMDEPBACKSLASH@
1101 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1102 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscispecial_functions_la-sci_faddeeva.lo `test -f 'sci_gateway/cpp/sci_faddeeva.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_faddeeva.cpp
1103
1104 sci_gateway/cpp/libscispecial_functions_la-sci_gamma.lo: sci_gateway/cpp/sci_gamma.cpp
1105 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscispecial_functions_la-sci_gamma.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_gamma.Tpo -c -o sci_gateway/cpp/libscispecial_functions_la-sci_gamma.lo `test -f 'sci_gateway/cpp/sci_gamma.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_gamma.cpp
1106 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_gamma.Tpo sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_gamma.Plo
1107 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_gamma.cpp' object='sci_gateway/cpp/libscispecial_functions_la-sci_gamma.lo' libtool=yes @AMDEPBACKSLASH@
1108 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1109 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscispecial_functions_la-sci_gamma.lo `test -f 'sci_gateway/cpp/sci_gamma.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_gamma.cpp
1110
1111 sci_gateway/cpp/libscispecial_functions_la-sci_lgamma.lo: sci_gateway/cpp/sci_lgamma.cpp
1112 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscispecial_functions_la-sci_lgamma.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_lgamma.Tpo -c -o sci_gateway/cpp/libscispecial_functions_la-sci_lgamma.lo `test -f 'sci_gateway/cpp/sci_lgamma.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_lgamma.cpp
1113 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_lgamma.Tpo sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_lgamma.Plo
1114 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_lgamma.cpp' object='sci_gateway/cpp/libscispecial_functions_la-sci_lgamma.lo' libtool=yes @AMDEPBACKSLASH@
1115 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1116 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscispecial_functions_la-sci_lgamma.lo `test -f 'sci_gateway/cpp/sci_lgamma.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_lgamma.cpp
1117
1118 sci_gateway/cpp/libscispecial_functions_la-sci_dlgamma.lo: sci_gateway/cpp/sci_dlgamma.cpp
1119 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscispecial_functions_la-sci_dlgamma.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_dlgamma.Tpo -c -o sci_gateway/cpp/libscispecial_functions_la-sci_dlgamma.lo `test -f 'sci_gateway/cpp/sci_dlgamma.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_dlgamma.cpp
1120 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_dlgamma.Tpo sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_dlgamma.Plo
1121 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_dlgamma.cpp' object='sci_gateway/cpp/libscispecial_functions_la-sci_dlgamma.lo' libtool=yes @AMDEPBACKSLASH@
1122 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1123 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscispecial_functions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscispecial_functions_la-sci_dlgamma.lo `test -f 'sci_gateway/cpp/sci_dlgamma.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_dlgamma.cpp
1124
1125 .f.o:
1126         $(AM_V_F77)$(F77COMPILE) -c -o $@ $<
1127
1128 .f.obj:
1129         $(AM_V_F77)$(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1130
1131 .f.lo:
1132         $(AM_V_F77)$(LTF77COMPILE) -c -o $@ $<
1133
1134 mostlyclean-libtool:
1135         -rm -f *.lo
1136
1137 clean-libtool:
1138         -rm -rf .libs _libs
1139         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1140         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1141         -rm -rf src/c/.libs src/c/_libs
1142         -rm -rf src/cpp/.libs src/cpp/_libs
1143         -rm -rf src/fortran/.libs src/fortran/_libs
1144 install-libscispecial_functions_la_etcDATA: $(libscispecial_functions_la_etc_DATA)
1145         @$(NORMAL_INSTALL)
1146         @list='$(libscispecial_functions_la_etc_DATA)'; test -n "$(libscispecial_functions_la_etcdir)" || list=; \
1147         if test -n "$$list"; then \
1148           echo " $(MKDIR_P) '$(DESTDIR)$(libscispecial_functions_la_etcdir)'"; \
1149           $(MKDIR_P) "$(DESTDIR)$(libscispecial_functions_la_etcdir)" || exit 1; \
1150         fi; \
1151         for p in $$list; do \
1152           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1153           echo "$$d$$p"; \
1154         done | $(am__base_list) | \
1155         while read files; do \
1156           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispecial_functions_la_etcdir)'"; \
1157           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispecial_functions_la_etcdir)" || exit $$?; \
1158         done
1159
1160 uninstall-libscispecial_functions_la_etcDATA:
1161         @$(NORMAL_UNINSTALL)
1162         @list='$(libscispecial_functions_la_etc_DATA)'; test -n "$(libscispecial_functions_la_etcdir)" || list=; \
1163         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1164         dir='$(DESTDIR)$(libscispecial_functions_la_etcdir)'; $(am__uninstall_files_from_dir)
1165 install-libscispecial_functions_la_rootDATA: $(libscispecial_functions_la_root_DATA)
1166         @$(NORMAL_INSTALL)
1167         @list='$(libscispecial_functions_la_root_DATA)'; test -n "$(libscispecial_functions_la_rootdir)" || list=; \
1168         if test -n "$$list"; then \
1169           echo " $(MKDIR_P) '$(DESTDIR)$(libscispecial_functions_la_rootdir)'"; \
1170           $(MKDIR_P) "$(DESTDIR)$(libscispecial_functions_la_rootdir)" || exit 1; \
1171         fi; \
1172         for p in $$list; do \
1173           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1174           echo "$$d$$p"; \
1175         done | $(am__base_list) | \
1176         while read files; do \
1177           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispecial_functions_la_rootdir)'"; \
1178           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispecial_functions_la_rootdir)" || exit $$?; \
1179         done
1180
1181 uninstall-libscispecial_functions_la_rootDATA:
1182         @$(NORMAL_UNINSTALL)
1183         @list='$(libscispecial_functions_la_root_DATA)'; test -n "$(libscispecial_functions_la_rootdir)" || list=; \
1184         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1185         dir='$(DESTDIR)$(libscispecial_functions_la_rootdir)'; $(am__uninstall_files_from_dir)
1186 install-libscispecial_functions_la_sci_gatewayDATA: $(libscispecial_functions_la_sci_gateway_DATA)
1187         @$(NORMAL_INSTALL)
1188         @list='$(libscispecial_functions_la_sci_gateway_DATA)'; test -n "$(libscispecial_functions_la_sci_gatewaydir)" || list=; \
1189         if test -n "$$list"; then \
1190           echo " $(MKDIR_P) '$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)'"; \
1191           $(MKDIR_P) "$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)" || exit 1; \
1192         fi; \
1193         for p in $$list; do \
1194           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1195           echo "$$d$$p"; \
1196         done | $(am__base_list) | \
1197         while read files; do \
1198           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)'"; \
1199           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)" || exit $$?; \
1200         done
1201
1202 uninstall-libscispecial_functions_la_sci_gatewayDATA:
1203         @$(NORMAL_UNINSTALL)
1204         @list='$(libscispecial_functions_la_sci_gateway_DATA)'; test -n "$(libscispecial_functions_la_sci_gatewaydir)" || list=; \
1205         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1206         dir='$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1207
1208 ID: $(am__tagged_files)
1209         $(am__define_uniq_tagged_files); mkid -fID $$unique
1210 tags: tags-am
1211 TAGS: tags
1212
1213 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1214         set x; \
1215         here=`pwd`; \
1216         $(am__define_uniq_tagged_files); \
1217         shift; \
1218         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1219           test -n "$$unique" || unique=$$empty_fix; \
1220           if test $$# -gt 0; then \
1221             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1222               "$$@" $$unique; \
1223           else \
1224             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1225               $$unique; \
1226           fi; \
1227         fi
1228 ctags: ctags-am
1229
1230 CTAGS: ctags
1231 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1232         $(am__define_uniq_tagged_files); \
1233         test -z "$(CTAGS_ARGS)$$unique" \
1234           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1235              $$unique
1236
1237 GTAGS:
1238         here=`$(am__cd) $(top_builddir) && pwd` \
1239           && $(am__cd) $(top_srcdir) \
1240           && gtags -i $(GTAGS_ARGS) "$$here"
1241 cscopelist: cscopelist-am
1242
1243 cscopelist-am: $(am__tagged_files)
1244         list='$(am__tagged_files)'; \
1245         case "$(srcdir)" in \
1246           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1247           *) sdir=$(subdir)/$(srcdir) ;; \
1248         esac; \
1249         for i in $$list; do \
1250           if test -f "$$i"; then \
1251             echo "$(subdir)/$$i"; \
1252           else \
1253             echo "$$sdir/$$i"; \
1254           fi; \
1255         done >> $(top_builddir)/cscope.files
1256
1257 distclean-tags:
1258         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1259
1260 distdir: $(BUILT_SOURCES)
1261         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1262
1263 distdir-am: $(DISTFILES)
1264         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1265         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1266         list='$(DISTFILES)'; \
1267           dist_files=`for file in $$list; do echo $$file; done | \
1268           sed -e "s|^$$srcdirstrip/||;t" \
1269               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1270         case $$dist_files in \
1271           */*) $(MKDIR_P) `echo "$$dist_files" | \
1272                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1273                            sort -u` ;; \
1274         esac; \
1275         for file in $$dist_files; do \
1276           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1277           if test -d $$d/$$file; then \
1278             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1279             if test -d "$(distdir)/$$file"; then \
1280               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1281             fi; \
1282             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1283               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1284               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1285             fi; \
1286             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1287           else \
1288             test -f "$(distdir)/$$file" \
1289             || cp -p $$d/$$file "$(distdir)/$$file" \
1290             || exit 1; \
1291           fi; \
1292         done
1293 check-am: all-am
1294         $(MAKE) $(AM_MAKEFLAGS) check-local
1295 check: check-am
1296 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1297 installdirs:
1298         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscispecial_functions_la_etcdir)" "$(DESTDIR)$(libscispecial_functions_la_rootdir)" "$(DESTDIR)$(libscispecial_functions_la_sci_gatewaydir)"; do \
1299           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1300         done
1301 install: install-am
1302 install-exec: install-exec-am
1303 install-data: install-data-am
1304 uninstall: uninstall-am
1305
1306 install-am: all-am
1307         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1308
1309 installcheck: installcheck-am
1310 install-strip:
1311         if test -z '$(STRIP)'; then \
1312           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1313             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1314               install; \
1315         else \
1316           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1317             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1318             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1319         fi
1320 mostlyclean-generic:
1321
1322 clean-generic:
1323
1324 distclean-generic:
1325         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1326         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1327         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1328         -rm -f sci_gateway/c/$(am__dirstamp)
1329         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1330         -rm -f sci_gateway/cpp/$(am__dirstamp)
1331         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1332         -rm -f src/c/$(am__dirstamp)
1333         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1334         -rm -f src/cpp/$(am__dirstamp)
1335         -rm -f src/fortran/$(DEPDIR)/$(am__dirstamp)
1336         -rm -f src/fortran/$(am__dirstamp)
1337
1338 maintainer-clean-generic:
1339         @echo "This command is intended for maintainers to use"
1340         @echo "it deletes files that may require special tools to rebuild."
1341 clean: clean-am
1342
1343 clean-am: clean-generic clean-libtool clean-local \
1344         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1345
1346 distclean: distclean-am
1347                 -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselh.Plo
1348         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besseli.Plo
1349         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselj.Plo
1350         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselk.Plo
1351         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_bessely.Plo
1352         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_beta.Plo
1353         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_legendre.Plo
1354         -rm -f sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_dlgamma.Plo
1355         -rm -f sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_faddeeva.Plo
1356         -rm -f sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_gamma.Plo
1357         -rm -f sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_lgamma.Plo
1358         -rm -f src/c/$(DEPDIR)/libscispecial_functions_algo_la-zbeshv.Plo
1359         -rm -f src/cpp/$(DEPDIR)/libscispecial_functions_algo_la-faddeeva.Plo
1360         -rm -f Makefile
1361 distclean-am: clean-am distclean-compile distclean-generic \
1362         distclean-local distclean-tags
1363
1364 dvi: dvi-am
1365
1366 dvi-am:
1367
1368 html: html-am
1369
1370 html-am:
1371
1372 info: info-am
1373
1374 info-am:
1375
1376 install-data-am: install-data-local \
1377         install-libscispecial_functions_la_etcDATA \
1378         install-libscispecial_functions_la_rootDATA \
1379         install-libscispecial_functions_la_sci_gatewayDATA
1380
1381 install-dvi: install-dvi-am
1382
1383 install-dvi-am:
1384
1385 install-exec-am: install-pkglibLTLIBRARIES
1386
1387 install-html: install-html-am
1388
1389 install-html-am: install-html-local
1390
1391 install-info: install-info-am
1392
1393 install-info-am:
1394
1395 install-man:
1396
1397 install-pdf: install-pdf-am
1398
1399 install-pdf-am:
1400
1401 install-ps: install-ps-am
1402
1403 install-ps-am:
1404
1405 installcheck-am:
1406
1407 maintainer-clean: maintainer-clean-am
1408                 -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselh.Plo
1409         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besseli.Plo
1410         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselj.Plo
1411         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_besselk.Plo
1412         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_bessely.Plo
1413         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_beta.Plo
1414         -rm -f sci_gateway/c/$(DEPDIR)/libscispecial_functions_la-sci_legendre.Plo
1415         -rm -f sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_dlgamma.Plo
1416         -rm -f sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_faddeeva.Plo
1417         -rm -f sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_gamma.Plo
1418         -rm -f sci_gateway/cpp/$(DEPDIR)/libscispecial_functions_la-sci_lgamma.Plo
1419         -rm -f src/c/$(DEPDIR)/libscispecial_functions_algo_la-zbeshv.Plo
1420         -rm -f src/cpp/$(DEPDIR)/libscispecial_functions_algo_la-faddeeva.Plo
1421         -rm -f Makefile
1422 maintainer-clean-am: distclean-am maintainer-clean-generic
1423
1424 mostlyclean: mostlyclean-am
1425
1426 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1427         mostlyclean-libtool
1428
1429 pdf: pdf-am
1430
1431 pdf-am:
1432
1433 ps: ps-am
1434
1435 ps-am:
1436
1437 uninstall-am: uninstall-libscispecial_functions_la_etcDATA \
1438         uninstall-libscispecial_functions_la_rootDATA \
1439         uninstall-libscispecial_functions_la_sci_gatewayDATA \
1440         uninstall-pkglibLTLIBRARIES
1441
1442 .MAKE: check-am install-am install-strip
1443
1444 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1445         check-am check-local clean clean-generic clean-libtool \
1446         clean-local clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES \
1447         cscopelist-am ctags ctags-am distclean distclean-compile \
1448         distclean-generic distclean-libtool distclean-local \
1449         distclean-tags distdir dvi dvi-am html html-am info info-am \
1450         install install-am install-data install-data-am \
1451         install-data-local install-dvi install-dvi-am install-exec \
1452         install-exec-am install-html install-html-am \
1453         install-html-local install-info install-info-am \
1454         install-libscispecial_functions_la_etcDATA \
1455         install-libscispecial_functions_la_rootDATA \
1456         install-libscispecial_functions_la_sci_gatewayDATA install-man \
1457         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1458         install-ps install-ps-am install-strip installcheck \
1459         installcheck-am installdirs maintainer-clean \
1460         maintainer-clean-generic mostlyclean mostlyclean-compile \
1461         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1462         tags tags-am uninstall uninstall-am \
1463         uninstall-libscispecial_functions_la_etcDATA \
1464         uninstall-libscispecial_functions_la_rootDATA \
1465         uninstall-libscispecial_functions_la_sci_gatewayDATA \
1466         uninstall-pkglibLTLIBRARIES
1467
1468 .PRECIOUS: Makefile
1469
1470
1471 # This target enables tests for Scilab
1472 check-local: $(top_builddir)/scilab-bin test
1473         if test -d $(mydatadir)/tests; then \
1474           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1475         fi
1476 check-code:
1477         if test -f build.xml; then \
1478                 $(ANT) checkstyle; \
1479         fi
1480         if test -x "$(SPLINT)"; then \
1481                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1482         fi
1483 @NEED_JAVA_TRUE@java:
1484 # Some configurations needs to export JAVA_HOME in the current env
1485 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1486 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1487 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1488 @NEED_JAVA_TRUE@                $(ANT); \
1489 @NEED_JAVA_TRUE@        fi
1490
1491 @NEED_JAVA_TRUE@clean-java:
1492 # Some configurations needs to export JAVA_HOME in the current env
1493 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1494 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1495 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1496 @NEED_JAVA_TRUE@                $(ANT) clean; \
1497 @NEED_JAVA_TRUE@        fi;
1498
1499 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1500 # We call the target swig-build on the variable SWIG_WRAPPERS
1501
1502 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1503 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1504 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1505 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1506 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1507 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1508 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1509 @SWIG_TRUE@             done; \
1510 @SWIG_TRUE@     fi
1511
1512 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1513 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1514 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1515 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1516 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1517 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1518 @SWIG_TRUE@             done; \
1519 @SWIG_TRUE@     fi
1520
1521 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1522 # We call the target swig-build on the variable SWIG_WRAPPERS
1523
1524 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1525 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1526 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1527 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1528 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1529 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1530 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1531 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1532 @GIWS_TRUE@                     else \
1533 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1534 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1535 @GIWS_TRUE@                     fi \
1536 @GIWS_TRUE@             done; \
1537 @GIWS_TRUE@     fi
1538
1539 @GIWS_TRUE@giws-exception:
1540 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1541 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1542 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1543
1544 macros:
1545         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1546                 echo "Error : Cannot build $< : Scilab has not been built"; \
1547         else \
1548                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1549         fi)
1550
1551 # Removes the macros
1552 clean-macros:
1553 # Removes macros (*.bin generated from .sci)
1554         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1555                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1556                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1557         done
1558
1559 test:
1560 # More tests could be added here
1561         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1562         if test -f build.xml -a $$USEANT -eq 1; then \
1563                 $(ANT) test; \
1564         fi
1565
1566 all-local: $(TARGETS_ALL)
1567
1568 .sci.bin:
1569         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1570         echo "Error : Cannot build $< : Scilab has not been build"; \
1571         else \
1572         echo "Creating $@"; \
1573         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1574         fi )
1575
1576 install-html-local:
1577
1578 install-data-local-local:
1579 # Mainly for javasci
1580         @if test -d $(srcdir)/javadoc; then \
1581                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1582         fi
1583 # If the user wants the help sources to be installed
1584 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1585 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1586 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1587 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1588 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1589 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1590 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1591 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1592 @INSTALL_HELP_XML_TRUE@           done ; \
1593 @INSTALL_HELP_XML_TRUE@         fi; \
1594 @INSTALL_HELP_XML_TRUE@  fi; \
1595 @INSTALL_HELP_XML_TRUE@ done; \
1596 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1597 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1598 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1599 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1600 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1601 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1602 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1603 @INSTALL_HELP_XML_TRUE@           done ; \
1604 @INSTALL_HELP_XML_TRUE@         fi; \
1605 @INSTALL_HELP_XML_TRUE@ fi
1606 install-data-local:
1607 # Install the tests
1608         @echo "-------- Install tests (if any) --------"; \
1609         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1610           if test -d $(srcdir)/$$dir/; then \
1611             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1612                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1613                     if test -d "$(srcdir)/$$dir/$$file"; then \
1614                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1615                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1616                     else \
1617                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1618                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1619                     fi \
1620                   done; \
1621           fi; \
1622         done
1623 # Install the help chapter
1624         @echo "-------- Install the help chapter (if any) --------"; \
1625         for lang in $(HELP_CHAPTERLANG); do \
1626                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1627                 if test -f $$HELPFILE; then \
1628                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1629                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1630                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1631                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1632                 fi; \
1633         done
1634 # Install the demos & examples
1635         @echo "-------- Install demos & examples (if any) --------"; \
1636         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1637           if test -d $(srcdir)/$$dir/; then \
1638             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1639                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1640                     if test -d "$(srcdir)/$$dir/$$file"; then \
1641                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1642                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1643                     else \
1644                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1645                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1646                     fi \
1647                   done; \
1648           fi; \
1649         done
1650 # Install the macros
1651         @echo "-------- Install macros (if any) --------"; \
1652         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1653           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1654                 if test -d $(srcdir)/$$dir/; then \
1655                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1656                         if test -n "$(MACROSSPECIALEXT)"; then \
1657                                 specialExtDir=""; \
1658                                 for specialExt in $(MACROSSPECIALEXT); do \
1659                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1660                                 done; \
1661                                 FILELIST="$$FILELIST $$specialExtDir"; \
1662                         fi; \
1663                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1664                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1665                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1666                   done; \
1667                 fi; \
1668         done
1669 # Install java files (.jar)
1670         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1671         echo "-------- Install jar files --------"; \
1672     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1673           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1674                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1675                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1676           done ; \
1677         fi
1678
1679 ########### CLEAN ###################
1680 # Clean help (generated automatically by Scilab)
1681 # It used to clean the macro (clean-macros) but this was causing
1682 # make clean && make to fail Scilab startup
1683 @NEED_JAVA_TRUE@clean-local: clean-java
1684 @NEED_JAVA_FALSE@clean-local:
1685
1686 distclean-local:
1687         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1688
1689 .PHONY: macros java swig giws
1690
1691 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1692 # Otherwise a system limit (for SysV at least) may be exceeded.
1693 .NOEXPORT: